Kerbal Space Program - Bug #4915

Spacecraft closer than 1000 km to Jool are incorrectly prevented form non-physical time warp due to
being "under acceleration™”

05/03/2015 08:04 PM - JVS
Description

Whenever | send a craft into the Jool system and do my insertion burn close to Jool (say 200 km), | cannot use non-physical time
acceleration until | get above 1000 km altitude. The reason stated by the game is that | am under acceleration, which is not correct.

| have labeled this as 1.0.1, but | am playing 1.0.2, there's just no option for it.

History

#1 - 05/10/2015 06:07 PM - phcorcoran

| have experienced this issue as well, although it so far only seems to occur if there is a heat shield (ablator) part of the craft. It seems the issue
disappeared once | separated from the shield, however it is difficult to be sure.

I am also on Windows, version 1.0.2. The only mod installed is the latest MechJeb at this time.
#2 - 05/21/2015 12:29 PM - Geschosskopf

- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed.
1.0.2, Windows 32-bit.
Heatshield makes no difference to me, but | suggest trying this with and without just to be sure.

REPLICATION:
1. Transfer something to Jool and put the Jool Pe at like 180-190km to aerocapture.

2. Run regular warp up to 1000x all the way until you hit the atmosphere.
3. Use physics warp while you're in the atmosphere.

4. Once you exit the atmosphere, stop physics warp and try to do regular warp again. The game won't let you use regular warp, saying that "the ship
is under acceleration", even with no engines running and no longer in the atmosphere.

5. Physics warp still works, however. You can use this to get high enough above Jool's atmosphere for regular warp to work again. This distance
appears to be between 500-1000km.

NOTE: Some people in the forum report that their Ap INCREASES while the game is saying the ship can't warp due to acceleration. | cannot confirm
that part of this.

#3 - 05/21/2015 04:26 PM - phcorcoran

After some further testing, | was also able to reproduce the issue with or without a heat shield, | had not noticed the part where it only happens if you
actually enter the sub 200km zone. | must have stayed higher than that in my tests when | didn't have a heat shield.

On an unrelated note, | have tried to reproduce the issue in the OS X version, and the result is similar.

#4 - 06/12/2015 01:43 PM - Talib
- File S029a Universal Science Jool.craft added
Same Issue here. I'm around Jool, aiming for Pol and ship was under acceleration until 1000km above. This wasnt a problem just after aerobrake at
Jool, but it is after a few orbits. All stock parts except the scansat scanners, heatshield still on board as part of an upper stage (stock fairing for
heatshield disappeared some time before, looks like its not connected at all). ksp 1.0.2 @win7

#5 - 07/27/2015 05:57 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#6 - 07/27/2015 06:55 PM - Geschosskopf

In other news, this problem seems only to affect ships in more-or-less equalgtorial orbits. Ships in polar orbits have no problem.

Also, if it affects a ship, it will do so on both sides of the atmosphere. Set the Pe say at 250km and warp towards it until you're just below 1Mm. Stop
warp and you won't be able to start it again until you're back above 1Mm

#7 - 11/10/2015 06:19 AM - Neutrality

| get this as of 1.0.5. | regular-time-warped in to about 220,000m, passed through the atmosphere, and was unable to regular-time-warp until almost
exactly 1,000,000m. | was able to do physics time warp, but regular time warp did not work and said the craft was accelerating until 1,000,000m.

One successful workaround | found was quicksaving, reloading, and starting time-warp before physics kicked in

Edit: So | made an insertion burn to a 300,000m orbit and was able to regular time warp. Perhaps the bug has something to do with suborbital
trajectories, the shape of the orbit, or your speed at the lower altitudes

#8 - 11/29/2015 04:09 PM - TimZ

I'm seeing the behavior in 1.0.5 too.

After aerobraking at 160km through Jool's atmosphere | could no longer use non-physics time warp - this also prevents you from exiting to the space
center without losing your progress. | slogged though the very long process of circularizing my orbit through multiple aerobraking passes, and noticed
that once | got my apoapsis down to somewhere around 3 million km the issue went away and | could time warp normally once out of the atmosphere
at 200km.

This makes me also suspect the the issue has to do with the high acceleration resulting from Jool's gravity when coming in from high apoapsis or
interplanetary transfer. Perhaps tripping a threshold that doesn't happen on other lower gravity planets?

#9 - 12/13/2015 11:11 PM - MarkRobinson

I, too, am experiencing this bug.

#10 - 01/05/2016 11:09 AM - AmoebaMan

Confirming the same behaviors described above. Non-physical time acceleration is not allowed below around 1000km above Jool.

Also adding to the table: there are very minute changes in the Apoapsis and Periapsis (on the order of a few meters of adjustment per second) while

this bug is in effect. The apoapsis increases and the periapsis decreases. This seems to suggest a radial acceleration. It seems likely to me that there
actually is a force being exerted, and not just that the time-warp acceleration check is failing.

#11 - 04/07/2016 10:34 PM - Cerberus738
I'm getting this bug in 1.1 dunno if i should submitt a new report??

Playing the scenario Aerobrake at Jool i'm getting this same bug. You can time warp at the start of the scenario but if you stop time warp you cannot
enter it again.

http://steamcommunity.com/sharedfiles/filedetails/?id=661141056

also the first kerbal portrait has the bottom blacked out??

#13 - 07/17/2016 09:43 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#14 - 10/13/2016 02:57 PM - sal_vager
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

This was changed, you can check in the 'Aerobrake at Jool' scenario.
http://steamcommunity.com/sharedfiles/filedetails/?id=661141056

#15 - 10/13/2016 07:51 PM - sal_vager
- Status changed from Resolved to Ready to Test

- % Done changed from 100 to 80

#16 - 12/03/2016 08:06 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100

Files

S029a Universal Science Jool.craft 169 KB
